CVE-2020-7039

NameCVE-2020-7039
Descriptiontcp_emu in tcp_subr.c in libslirp 4.1.0, as used in QEMU 4.2.0, mismanages memory, as demonstrated by IRC DCC commands in EMU_IRC. This can cause a heap-based buffer overflow or other out-of-bounds access which can lead to a DoS or potential execute arbitrary code.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2076-1, DLA-2090-1, DSA-4616-1
NVD severityhigh
Debian Bugs949084, 949085

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libslirp (PTS)bullseye, sid4.1.0-2fixed
qemu (PTS)jessie1:2.1+dfsg-12+deb8u6vulnerable
jessie (security)1:2.1+dfsg-12+deb8u13fixed
stretch1:2.8+dfsg-6+deb9u8vulnerable
stretch (security)1:2.8+dfsg-6+deb9u9fixed
buster1:3.1+dfsg-8+deb10u3vulnerable
buster (security)1:3.1+dfsg-8+deb10u4fixed
bullseye, sid1:4.2-3fixed
slirp (PTS)jessie1:1.0.17-7vulnerable
jessie (security)1:1.0.17-7+deb8u1fixed
buster, stretch1:1.0.17-8vulnerable
bullseye, sid1:1.0.17-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libslirpsource(unstable)4.1.0-2949084
qemusource(unstable)1:4.1-2
qemusourcebuster1:3.1+dfsg-8+deb10u4DSA-4616-1
qemusourcejessie1:2.1+dfsg-12+deb8u13DLA-2090-1
qemusourcestretch1:2.8+dfsg-6+deb9u9DSA-4616-1
qemu-kvmsource(unstable)(unfixed)
slirpsource(unstable)1:1.0.17-10949085
slirpsourcejessie1:1.0.17-7+deb8u1DLA-2076-1

Notes

[buster] - slirp <no-dsa> (Minor issue; can be fixed via point release)
[stretch] - slirp <no-dsa> (Minor issue; can be fixed via point release)
https://www.openwall.com/lists/oss-security/2020/01/16/2
https://gitlab.freedesktop.org/slirp/libslirp/commit/2655fffed7a9e765bcb4701dd876e9dab975f289
https://gitlab.freedesktop.org/slirp/libslirp/commit/ce131029d6d4a405cb7d3ac6716d03e58fb4a5d9
https://gitlab.freedesktop.org/slirp/libslirp/commit/82ebe9c370a0e2970fb5695aa19aa5214a6a1c80
qemu 1:4.1-2 switched to system libslirp, marking that version as fixed.

Search for package or bug name: Reporting problems